Bug 1020681 - Review Request: pgtoolkit - Tools for PostgreSQL maintenance
Review Request: pgtoolkit - Tools for PostgreSQL maintenance
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-18 03:37 EDT by Dale Macartney
Modified: 2014-04-14 12:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-14 12:44:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pbrobinson: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dale Macartney 2013-10-18 03:37:21 EDT
SPEC: http://dbmacartney.fedorapeople.org/pgtoolkit/pgtoolkit.spec
SRPM: http://dbmacartney.fedorapeople.org/pgtoolkit/pgtoolkit-1.0.0-1.fc19.src.rpm

Description
PgToolkit is a collection of tools for PostgreSQL maintenance. 
PgToolkit so far uses the utility pgcompact to reduce PostgreSQL table and index bloat from databases.
Comment 1 Dale Macartney 2013-10-18 03:42:58 EDT
koji scratch build http://koji.fedoraproject.org/koji/taskinfo?taskID=6074235
Comment 2 Christopher Meng 2013-10-18 03:46:47 EDT
Drop-by ideas:

1. Requires:	perl-DBD-Pg

Have you tried

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

If RPM still can't find perl-DBD-Pg, you should add it.

However, I would have question about 

Requires:	perl-DBD-Pg

Since Fedora never suggests this way but this:

perl(DBD::Pg).

2. Better add a comment at %build so we know nothing is going to be built.

3. %description
PgToolkit is a collection of tools for PostgreSQL maintenance. 
PgToolkit so far uses the utility pgcompact to reduce PostgreSQL table and index bloat from databases. 

Too long, longer than 79 chars limitation, please change.

4. cp -drv lib/PgToolkit/ %{buildroot}%{perl_archlib}

-->

cp -adrv lib/PgToolkit/ %{buildroot}%{perl_archlib}

5. I would just write:

%{perl_archlib}/PgToolkit


to replace tons of lines in %files.

BTW I think %{perl_archlib} is wrong for noarch packages.
Comment 3 Peter Robinson 2013-10-18 06:31:50 EDT
I'll review this
Comment 4 Dale Macartney 2013-10-18 08:12:19 EDT
Thanks for the comments Christopher, suggestions have been applied. 

SPEC: http://dbmacartney.fedorapeople.org/pgtoolkit/pgtoolkit.spec
SRPM: http://dbmacartney.fedorapeople.org/pgtoolkit/pgtoolkit-1.0.0-2.fc19.src.rpm

koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6074952
Comment 5 Dale Macartney 2013-10-21 03:47:50 EDT
Contacted author of pgtoolkit for confirmation of license as tarball was not very clear. Updated spec to use PostgreSQL license. 

SPEC: http://dbmacartney.fedorapeople.org/pgtoolkit/pgtoolkit.spec
SRPM: http://dbmacartney.fedorapeople.org/pgtoolkit/pgtoolkit-1.0.0-3.fc19.src.rpm

koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6082795
Comment 6 Christopher Meng 2014-02-11 03:34:00 EST
1. 1.0.1 is out

2. Leave a blank line between each changelog.

3. Peter, what about you?
Comment 8 Peter Robinson 2014-04-14 07:52:43 EDT
APPROVED

+ rpmlint output

$ rpmlint pgtoolkit.spec pgtoolkit-1.0.1-1.fc20.src.rpm pgtoolkit-1.0.1-1.fc20.noarch.rpm
pgtoolkit.src: W: spelling-error %description -l en_US pgcompact -> pg compact, pg-compact, compact
pgtoolkit.noarch: W: no-manual-page-for-binary pgcompact
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license
+ latest version packaged
+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
6eadf87b604478048736e5ca06af54b7  v1.0.1.tar.gz
+ package successfully builds on at least one architecture
  tested using koji scratch build
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun+ does not use Prefix: /usr
n/a package owns all directories it creates
n/a no duplicate files in %files
+ Package perserves timestamps on install
+ Permissions on files must be set properly 
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package runtime 
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a devel must require the fully versioned base
+ packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ filenames must be valid UTF-8

Optional:

+ if there is no license file, packager should query upstream to include it
n/a translations of description and summary for non-English languages, if
available
+ reviewer should build the package in mock/koji
n/a the package should build into binary RPMs on all supported architectures
n/a review should test the package functions as described
+ scriptlets should be sane
n/a non -devel packages should require fully versioned base
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or
/usr/sbin
Comment 9 Dale Macartney 2014-04-14 09:30:54 EDT
New Package GIT Request
=======================
Package Name: pgtoolkit
Short Description: Tools for PostgreSQL maintenance
Owners: dbmacartney
Branches: F-20 F-19 EL-6
InitialCC:
Comment 10 Gwyn Ciesla 2014-04-14 09:42:37 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.